package com.ruoyi.szxc.mapper;

import java.util.List;
import com.ruoyi.szxc.domain.SzxcOffRecard;

/**
 * 注销登记记录Mapper接口
 * 
 * @author hs
 * @date 2024-03-20
 */
public interface SzxcOffRecardMapper 
{
    /**
     * 查询注销登记记录
     * 
     * @param id 注销登记记录主键
     * @return 注销登记记录
     */
    public SzxcOffRecard selectSzxcOffRecardById(Long id);

    /**
     * 查询注销登记记录列表
     * 
     * @param szxcOffRecard 注销登记记录
     * @return 注销登记记录集合
     */
    public List<SzxcOffRecard> selectSzxcOffRecardList(SzxcOffRecard szxcOffRecard);

    /**
     * 新增注销登记记录
     * 
     * @param szxcOffRecard 注销登记记录
     * @return 结果
     */
    public int insertSzxcOffRecard(SzxcOffRecard szxcOffRecard);

    /**
     * 修改注销登记记录
     * 
     * @param szxcOffRecard 注销登记记录
     * @return 结果
     */
    public int updateSzxcOffRecard(SzxcOffRecard szxcOffRecard);

    /**
     * 删除注销登记记录
     * 
     * @param id 注销登记记录主键
     * @return 结果
     */
    public int deleteSzxcOffRecardById(Long id);

    /**
     * 批量删除注销登记记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSzxcOffRecardByIds(Long[] ids);
}
